HomeGuidesAPI ReferenceChangelog
Terms of Use
Changelog

3.233.0 release notes

  1. ⚠️ Breaking changes
    1. Changed the filter.command values accepted by GET /public-api/resources/communication-logs/v1.0 so individual command values can no longer contain commas.
    2. Changed password validation on user-update requests to reject passwords containing null characters.
  2. New features
    3. Added home charging reimbursement management endpoints: GET and POST /public-api/resources/reimbursement-policies/v1.0, GET, PATCH, and DELETE /public-api/resources/reimbursement-policies/v1.0/{reimbursementPolicy}, GET /public-api/resources/reimbursement-records/v1.0, GET /public-api/resources/reimbursement-records/v1.0/{reimbursementRecord}, GET /public-api/resources/reimbursement-reports/v1.0, and GET /public-api/resources/reimbursement-reports/v1.0/{reimbursementReport}.
    4. Added POST /public-api/actions/reimbursement-record/v1.0/{reimbursementRecord}/issue-credit to issue a credit for a reimbursement record. The request requires creditReason.
    5. Added POST /public-api/actions/reimbursement-report/v1.0/{reimbursementReport}/regenerate to regenerate a reimbursement report.
    6. Added the optional reimbursementFees property to Partner Contract request and response bodies on GET and POST /public-api/resources/partner-contracts/v1.0 and GET, PUT, and PATCH /public-api/resources/partner-contracts/v1.0/{partnerContract}. It supports optional non-negative perSession and perPeriod fees.
    7. Added the optional reimbursement property to Partner Invite request and response bodies on GET and POST /public-api/resources/partner-invites/v2.0 and GET and PATCH /public-api/resources/partner-invites/v2.0/{partnerInvite}. It supports a reimbursement policy and RFID or vehicle coverage restrictions.
    8. Added periodStartsOn and periodEndsOn to Partner Invoice responses from GET /public-api/resources/partner-invoices/v1.0, GET /public-api/resources/partner-invoices/v1.0/{partnerInvoice}, POST /public-api/actions/partner-invoice/v1.0/{partnerInvoice}/issue-credit-note, and POST /public-api/actions/partner-invoice/v1.0/{partnerInvoice}/update-external-id.
    9. Added the optional withDurationBreakdown query parameter to GET /public-api/resources/sessions/v1.0/{session}. When set to true, responses include durationBreakdown with charging and idle durations, including billable and grace-period durations, in seconds.
    10. Added GET /public-api/resources/sharing-invites/v1.0 and GET /public-api/resources/sharing-invites/v1.0/{sharingInvite} for retrieving personal charge point sharing invitations.
    11. Added the periodFrom and periodTo filters to GET /public-api/resources/partner-invoices/v1.0 for filtering Partner Invoices by their billing period.